%define debug_package %{nil}
#%define svnver 127062

Name:		mono-addins
Version:	0.5
Release:	2%{?dist}
Summary:	Addins for mono
Group:		Development/Languages
License:	MIT
URL:		http://www.mono-project.com/Main_Page
Source0:	http://ftp.novell.com/pub/mono/sources/mono-addins/mono-addins-0.5.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	mono-devel >= 2.4, gtk-sharp2-devel, autoconf, automake
BuildRequires:	pkgconfig
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha s390 s390x

%description
Mono.Addins is a generic framework for creating extensible applications,
and for creating libraries which extend those applications.

%package devel
Summary: Development files for mono-addins
Group: Development/Applications
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
Mono.Addins is a generic framework for creating extensible applications,
and for creating libraries which extend those applications.
This package contains MSBuild tasks file and target, which allows
using add-in references directly in a build file (still experimental).

%prep
%setup -q 
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!' mautil/Makefile.am
sed -i -e 's!$(prefix)/lib!%{_libdir}!' configure.ac
autoreconf -f -i -s

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-gui
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc README NEWS AUTHORS ChangeLog
%{_bindir}/mautil
%dir %{_libdir}/mono/mono-addins
%{_libdir}/mono/mono-addins/Mono.Addins.CecilReflector.dll
%{_libdir}/mono/mono-addins/Mono.Addins.Gui.dll
%{_libdir}/mono/mono-addins/Mono.Addins.Setup.dll
%{_libdir}/mono/mono-addins/Mono.Addins.dll
%{_libdir}/mono/mono-addins/mautil.exe
%{_libdir}/mono/gac/Mono.Addins.Gui
%{_libdir}/mono/gac/Mono.Addins.Setup
%{_libdir}/mono/gac/Mono.Addins
%{_libdir}/mono/gac/Mono.Addins.CecilReflector
%{_libdir}/mono/gac/policy.0.2.Mono.Addins.Gui
%{_libdir}/mono/gac/policy.0.2.Mono.Addins.Setup
%{_libdir}/mono/gac/policy.0.2.Mono.Addins
%{_libdir}/mono/gac/policy.0.2.Mono.Addins.CecilReflector
%{_libdir}/mono/gac/policy.0.3.Mono.Addins.Gui
%{_libdir}/mono/gac/policy.0.3.Mono.Addins.Setup
%{_libdir}/mono/gac/policy.0.3.Mono.Addins
%{_libdir}/mono/gac/policy.0.3.Mono.Addins.CecilReflector
%{_libdir}/mono/gac/policy.0.4.Mono.Addins.CecilReflector
%{_libdir}/mono/gac/policy.0.4.Mono.Addins.Gui
%{_libdir}/mono/gac/policy.0.4.Mono.Addins.Setup
%{_libdir}/mono/gac/policy.0.4.Mono.Addins
%{_mandir}/man1/mautil.1.gz

%files devel
%defattr (-,root,root,-)
%{_libdir}/mono/gac/policy.0.2.Mono.Addins.MSBuild
%{_libdir}/mono/gac/policy.0.3.Mono.Addins.MSBuild
%{_libdir}/mono/gac/policy.0.4.Mono.Addins.MSBuild
%{_libdir}/mono/mono-addins/Mono.Addins.MSBuild.dll
%{_libdir}/mono/gac/Mono.Addins.MSBuild
%{_libdir}/mono/xbuild
%{_libdir}/pkgconfig/mono-addins*

%changelog
* Sun Mar 13 2011 Christian Krause <chkr@fedoraproject.org> - 0.5-2
- Use official 0.5 release linked from http://ftp.novell.com/pub/mono/archive/2.6.7/sources/
- Move MSBuild parts into -devel package so that the main package does not
  depend on mono-devel (BZ 671917)

* Mon May 31 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.5-1
- Update to 5.0 release
- Alter URL

* Fri Apr 10 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.4-5.20091702svn127062.1
- Exclude ppc

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5.20091702svn127062
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.4-4.20091702svn127062
- update from svn

* Tue Feb 10 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.4-4.20091002svn126354
- large update from svn
- now uses a tarball
- add mautil manual

* Thu Jan 29 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.4-4.20081215svn105642
- update to 2.4 svn build
- remove mautil manuals

* Thu Dec 11 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.4-3
- Rebuild
- Correct licence to MIT
- Replaced patch with sed

* Tue Nov 25 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.4-2
- Fix archs

* Fri Nov 07 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.4-1
- new release
- removed scan fix patch

* Mon Jul 14 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.1-2.2
- rebuild

* Thu May 01 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.1-2.1
- rebuild

* Tue Apr 29 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.1-2
- added BR pkgconfig

* Mon Apr 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.1-1
- bump (should fix the monodevelop problems)

* Tue Apr 15 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.3-5
- Add patch from Debian to make sure addins don't disappear in f-spot (#442343)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3-4
- Autorebuild for GCC 4.3

* Mon Jan 14 2008 <paul@all-the-johnsons.co.uk> 0.3-3
- removed debug package
- spec file fixes
- additional BRs for autoreconf
- excludearch ppc64 added

* Thu Jan 03 2008 <paul@all-the-johnsons.co.uk> 0.3-2
- enabled gui
- spec file fixes

* Wed Dec 19 2007 <paul@all-the-johnsons.co.uk> 0.3-1
- Initial import for FE
